/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#ifndef FEEDITEM_H
#define FEEDITEM_H
#include "parentitem.h"

namespace GoogleReader
{
class FeedItem : public ParentItem
{
    Q_OBJECT
    Q_PROPERTY(QStringList folders READ folders NOTIFY foldersChanged)
public:
    explicit FeedItem(PageItemPtr parent = PageItemPtr(), AbstractFeedAggreagatorService* service = 0);
    GoogleReaderItem::ItemType itemType() const;
    QString continuation() const;
    void setContinuation(const QString& continuation);
    quint64 startTime() const;
    void setStartTime(quint64 startTime);
    QStringList folders() const;
    void setFolders(const QStringList& folders);

private:
    QString m_continuation;
    quint64 m_startTime;
    QStringList m_folders;

signals:
    void foldersChanged();
};
typedef QSharedPointer<FeedItem> FeedItemPtr;
typedef QWeakPointer<FeedItem> FeedItemWeakRef;
} // namespace GoogleReader
#endif // FEEDITEM_H
